/*
 * Implementation of context related routines
 *
 */

#include "context.h"

bool
Prec::operator==(const Prec& pr) const
{
  if (isbold != pr.isbold) return false;
  if (isital != pr.isital) return false;
  if (isttype != pr.isttype) return false;
  if (isstrg != pr.isstrg) return false;
  if (ulinelevel != pr.ulinelevel) return false;
  if (size != pr.size) return false;
  if ( !isstrg && (isemph != pr.isemph) ) return false;
  if ( ulinelevel && (color != pr.color) ) return false;
  return true;
}

bool Wsprec::operator==(const Wsprec& wspr) const
{
  if (isttype != wspr.isttype) return false;
  if (ulinelevel != wspr.ulinelevel) return false;
  if (size != wspr.size) return false;
  if ( ulinelevel && (color != wspr.color) ) return false;
  return true;
}
