/*
 * A simple SML/NG optimizer
 *
 */

#include "smlng.h"
#include "context.h"

#include <iostream>

using std::cout;
using std::cerr;

Prec nextprec;
/*bool validnextprec = false;*/
Wsprec lastwsprec;
bool validlastwsprec = false;

crope outstr;
list<string> curtaglist;
bool skipnextem = false;

unsigned long numoutchars;
char lastoutputchar;

int
main()
{
  Token* curtoken;
  
  while (curtoken = next_token()) {
    curtoken->handle();
  } /* End of while ( (currenttoken = next_token()) != END ) */

  if (!curtaglist.empty()) {
    int numtags = curtaglist.size();
    for (int i=0; i < numtags; i++) {
      string buf = curtaglist.front();
      outstr += buf.c_str();
      curtaglist.pop_front();
    }
  }

#ifdef DEBUG
  cerr << "Number of input chars = " << numinchars << '\n';
  cerr << "Number of output chars = " << outstr.length() << '\n';
#endif

  // Dump the outstr finally
  cout << outstr;

#ifdef DEBUG
  cerr << '\n';
#endif
}
